package com.rayfocus.sqs.app;

import com.amazonaws.services.sqs.AmazonSQS;
import com.amazonaws.services.sqs.model.CreateQueueRequest;
import com.rayfocus.sqs.client.SQSClientProvider;
import com.rayfocus.sqs.util.SQSUtil;

public class SimpleSQSApplication {

    private static final String SQS_INPUTQ = "SQS_INPUTQ";
    private static final String SQS_INPUT_DLQ = "SQS_INPUT_DLQ";

    public static void main(String[] args) {
        SimpleSQSApplication sqsApp = new SimpleSQSApplication();
        // Create Queue
        sqsApp.createQueueWithName(SQS_INPUT_DLQ);
        sqsApp.createQueueWithName(SQS_INPUTQ);
    }

    /* Create New Queue */
    public void createQueueWithName(String queueName){
        AmazonSQS sqsClient = SQSClientProvider.getForProfile("sqs_demo");
        CreateQueueRequest create_queue_request = new CreateQueueRequest()
                .withQueueName(queueName);
       if(SQS_INPUTQ.equals(queueName)){
           create_queue_request = SQSUtil.configureDLQ(create_queue_request,SQS_INPUT_DLQ);
       }
       // create_queue_request.addAttributesEntry("VisibilityTimeout","20");
        sqsClient.createQueue(create_queue_request);
        System.out.println("Queue created with name :: "+queueName);
    }
}
