package com.rayfocus.sqs.client;

import com.amazonaws.auth.profile.ProfileCredentialsProvider;
import com.amazonaws.regions.Regions;
import com.amazonaws.services.sqs.AmazonSQS;
import com.amazonaws.services.sqs.AmazonSQSClientBuilder;

public class SQSClientProvider {

    private static AmazonSQS sqsClient = null;

    private SQSClientProvider(){
        // Private constructor
    }

    public static AmazonSQS get(){
        if(sqsClient == null){
            sqsClient = AmazonSQSClientBuilder.standard()
                    .withRegion(Regions.US_WEST_2).build();
        }
        return sqsClient;
    }

    public static AmazonSQS getForProfile(String profile){
        if(sqsClient == null){
            sqsClient = AmazonSQSClientBuilder.standard()
                    .withCredentials(new ProfileCredentialsProvider(profile))
                    .withRegion(Regions.US_WEST_2).build();
        }
        return sqsClient;
    }
}
